{
    "name": "@rappasoft/laravel-boilerplate",
    "author": "rappasoft rappa819@gmail.com",
    "private": true,
    "license": "MIT",
    "scripts": {
        "dev": "cross-var $npm_execpath run development",
        "development": "cross-env NODE_ENV=development webpack --progress --hide-modules --config=node_modules/laravel-mix/setup/webpack.config.js",
        "watch": "cross-var $npm_execpath run development -- --watch",
        "watch-poll": "cross-var $npm_execpath run watch -- --watch-poll",
        "hot": "cross-env NODE_ENV=development webpack-dev-server --inline --hot --config=node_modules/laravel-mix/setup/webpack.config.js",
        "prod": "cross-var $npm_execpath run production",
        "production": "cross-env NODE_ENV=production webpack --no-progress --hide-modules --config=node_modules/laravel-mix/setup/webpack.config.js",
        "test": "cross-env NODE_ENV=test jest",
        "tdd": "cross-var $npm_execpath run test -- --watch --notify"
    },
    "devDependencies": {
        "@coreui/coreui": "^2.1.12",
        "@fortawesome/fontawesome-free": "^5.9.0",
        "@vue/test-utils": "^1.0.0-beta.29",
        "axios": "^0.19",
        "babel-core": "^7.0.0-bridge.0",
        "babel-jest": "^24.8.0",
        "bootstrap": "^3.3.7",
        "cross-env": "^6.0.3",
        "cross-var": "^1.1.0",
        "jest": "^24.8.0",
        "jquery": "^3.4.1",
        "laravel-mix": "^5.0.0",
        "lodash": "^4.17.13",
        "pace": "github:HubSpot/pace#v1.0.2",
        "perfect-scrollbar": "^1.4.0",
        "popper.js": "^1.15.0",
        "resolve-url-loader": "^3.1.1",
        "sass": "^1.21.0",
        "sass-loader": "^8.0.0",
        "sweetalert2": "^9.3.5",
        "vue": "^2.6.10",
        "vue-jest": "^3.0.4",
        "vue-template-compiler": "^2.6.10"
    },
    "browserslist": {
        "development": "last 1 version",
        "production": ">2%, Firefox ESR"
    },
    "jest": {
        "testURL": "http://localhost",
        "roots": [
            "<rootDir>/tests/Javascript/"
        ],
        "moduleNameMapper": {
            "^@/(.*)$": "<rootDir>/resources/js/$1"
        },
        "moduleFileExtensions": [
            "js",
            "vue"
        ],
        "transform": {
            "^.+\\.js$": "babel-jest",
            ".*\\.(vue)$": "vue-jest"
        }
    },
    "engines": {
        "node": ">=6.0.0"
    },
    "dependencies": {
        "@fortawesome/fontawesome": "^1.1.8"
    }
}
